Name:		koffice
Icon:		kde-icon.xpm
URL:		http://www.kde.org/
Summary:	Set of office applications for KDE
Version:	2.0.1
Release:	11mdk
Epoch:		9

Source:		koffice-%version.tar.bz2
Patch:		kspread_source2.diff
Patch1: 	winword_patch.diff.bz2
Patch2:		kspread_canvas-gcc-2.96.diff.bz2
Patch3: 	kchart_background_image_default.diff.bz2

Group:		Office
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	kdelibs
Obsoletes:	killustrator
BuildRequires:	gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:	XFree86-static-libs automake autoconf diffutils file kdesupport-devel m4 texinfo
BuildRequires:	gettext libjpeg62-devel kdelibs-devel gcc-c++ kdelibs libbinutils2 libbzip2_1 db1
BuildRequires:	freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel rpm-build

%description
Office applications for the K Desktop Environment 2.0.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Killustrator
   * Some filters

%package devel
Group:		Graphical desktop/KDE
Summary:	Header files for developing koffice applications

%description devel
Header files needed for developing koffice applications.

%prep

%setup -q -nkoffice-%version
%patch -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make -f Makefile.cvs
QTDIR=%{qtdir}
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
		    --disable-debug \
		    --disable-rpath \
		    --enable-final

%make

%install
make RUN_KAPPFINDER=no DESTDIR=%buildroot install

install -d %buildroot/%_menudir

kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/%_datadir/applnk/Office/kchart.desktop		$RPM_BUILD_ROOT/%_menudir/kchart
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/%_datadir/applnk/Office/killustrator.desktop	$RPM_BUILD_ROOT/%_menudir/killustrator
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/%_datadir/applnk/Office/koshell.desktop		$RPM_BUILD_ROOT/%_menudir/koshell
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/%_datadir/applnk/Office/kpresenter.desktop		$RPM_BUILD_ROOT/%_menudir//kpresenter
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/%_datadir/applnk/Office/kspread.desktop		$RPM_BUILD_ROOT/%_menudir/kspread
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/%_datadir/applnk/Office/kword.desktop		$RPM_BUILD_ROOT/%_menudir/kword

# Add an icon to Koshell
# Think to remove that when Koshell will have its own icon
perl -pi -e "s|koshell.png|kword.png|" $RPM_BUILD_ROOT/%_menudir/koshell


%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/doc/
%doc %_docdir/HTML/en/doc/*.html
%doc %_docdir/HTML/en/doc/*.png
%doc %_docdir/HTML/en/doc/README.documentation
#
#
%dir %_docdir/HTML/en/killustrator/
%doc %_docdir/HTML/en/killustrator/.anchors
%doc %_docdir/HTML/en/killustrator/*.docbook
%doc %_docdir/HTML/en/killustrator/*.html
%doc %_docdir/HTML/en/killustrator/*.png
#
#
%dir %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koffice/.anchors
%doc %_docdir/HTML/en/koffice/*.docbook
%doc %_docdir/HTML/en/koffice/*.html
#
#
%dir %_docdir/HTML/en/kpresenter/
%doc %_docdir/HTML/en/kpresenter/.anchors
%doc %_docdir/HTML/en/kpresenter/*.docbook
%doc %_docdir/HTML/en/kpresenter/*.html
#
#
%dir %_docdir/HTML/en/kspread/
%doc %_docdir/HTML/en/kspread/.anchors
%doc %_docdir/HTML/en/kspread/*.docbook
%doc %_docdir/HTML/en/kspread/*.html
#
#
%dir %_docdir/HTML/en/kword/
%doc %_docdir/HTML/en/kword/.anchors
%doc %_docdir/HTML/en/kword/*.docbook
%doc %_docdir/HTML/en/kword/*.html
%doc %_docdir/HTML/en/kword/*.png


%_bindir/* 

%docdir %_docdir/HTML/en/*  

%_libdir/*.so*
%_libdir/*.la

%dir %_datadir/apps/kchart/
%dir %_datadir/apps/kchart/icons/
%dir %_datadir/apps/kchart/icons/locolor/
%dir %_datadir/apps/kchart/icons/locolor/16x16/
%dir %_datadir/apps/kchart/icons/locolor/16x16/actions/
%dir %_datadir/apps/kchart/icons/locolor/22x22/
%dir %_datadir/apps/kchart/icons/locolor/22x22/actions/
%dir %_datadir/apps/kchart/pics/
%_datadir/apps/kchart/*.rc
%_datadir/apps/kchart/icons/locolor/16x16/actions/*.png
%_datadir/apps/kchart/icons/locolor/22x22/actions/*.png
%_datadir/apps/kchart/pics/*.png
#
%dir %_datadir/apps/killustrator/
%dir %_datadir/apps/killustrator/pics/
%dir %_datadir/apps/killustrator/templates/
%dir %_datadir/apps/killustrator/templates/Simple/
%dir %_datadir/apps/killustrator/templates/Simple/.icon/
%dir %_datadir/apps/killustrator/templates/Simple/.source/
%_datadir/apps/killustrator/*.rc
%_datadir/apps/killustrator/pics/*.png
%_datadir/apps/killustrator/pics/*.gif
%_datadir/apps/killustrator/templates/Simple/.directory
%_datadir/apps/killustrator/templates/Simple/*.desktop
%_datadir/apps/killustrator/templates/Simple/.icon/*.png
%_datadir/apps/killustrator/templates/Simple/.source/Plain.kil
#
%dir %_datadir/apps/koffice/
%dir %_datadir/apps/koffice/pics/
%dir %_datadir/apps/koffice/icons/
%dir %_datadir/apps/koffice/icons/hicolor/
%dir %_datadir/apps/koffice/icons/hicolor/22x22/
%dir %_datadir/apps/koffice/icons/hicolor/22x22/actions/
%dir %_datadir/apps/koffice/icons/hicolor/32x32/
%dir %_datadir/apps/koffice/icons/hicolor/32x32/actions/
%dir %_datadir/apps/koffice/icons/locolor/
%dir %_datadir/apps/koffice/icons/locolor/16x16
%dir %_datadir/apps/koffice/icons/locolor/16x16/actions/
%dir %_datadir/apps/koffice/icons/locolor/22x22/
%dir %_datadir/apps/koffice/icons/locolor/22x22/actions/
%dir %_datadir/apps/koffice/icons/locolor/22x22/actions/part/
%_datadir/apps/koffice/*.rc
%_datadir/apps/koffice/pics/*.png
%_datadir/apps/koffice/icons/hicolor/22x22/actions/*.png
%_datadir/apps/koffice/icons/hicolor/32x32/actions/*.png
%_datadir/apps/koffice/icons/locolor/16x16/actions/*.png
%_datadir/apps/koffice/icons/locolor/22x22/actions/*.png
%_datadir/apps/koffice/icons/locolor/22x22/actions/part/*.png  
#
%dir %_datadir/apps/kpresenter/
%dir %_datadir/apps/kpresenter/pics/
%dir %_datadir/apps/kpresenter/icons/
%dir %_datadir/apps/kpresenter/icons/locolor/
%dir %_datadir/apps/kpresenter/icons/locolor/22x22/
%dir %_datadir/apps/kpresenter/icons/locolor/22x22/actions/
%dir %_datadir/apps/kpresenter/slideshow/
%dir %_datadir/apps/kpresenter/templates/
%dir %_datadir/apps/kpresenter/autoforms/
%dir %_datadir/apps/kpresenter/dtd/
%_datadir/apps/kpresenter/*.rc
%_datadir/apps/kpresenter/autoforms/.autoforms
%_datadir/apps/kpresenter/pics/*.png
%_datadir/apps/kpresenter/icons/locolor/22x22/actions/*.png
%_datadir/apps/kpresenter/slideshow/*.bmp
%_datadir/apps/kpresenter/slideshow/*.jpeg
%_datadir/apps/kpresenter/slideshow/*.png
%_datadir/apps/kpresenter/templates/*
%_datadir/apps/kpresenter/autoforms/*
%_datadir/apps/kpresenter/dtd/*
#
%dir %_datadir/apps/kspread/
%dir %_datadir/apps/kspread/dtd/
%dir %_datadir/apps/kspread/extensions/
%dir %_datadir/apps/kspread/icons/
%dir %_datadir/apps/kspread/icons/locolor/
%dir %_datadir/apps/kspread/icons/locolor/16x16/
%dir %_datadir/apps/kspread/icons/locolor/16x16/actions/
%dir %_datadir/apps/kspread/icons/locolor/22x22/
%dir %_datadir/apps/kspread/icons/locolor/22x22/actions/   
%dir %_datadir/apps/kspread/kpartplugins/
%dir %_datadir/apps/kspread/tablestyles/
%_datadir/apps/kspread/dtd/*
%_datadir/apps/kspread/*.rc
%_datadir/apps/kspread/extensions/*
%_datadir/apps/kspread/icons/locolor/16x16/actions/*.png
%_datadir/apps/kspread/icons/locolor/22x22/actions/*.png
%_datadir/apps/kspread/kpartplugins/*.rc
%_datadir/apps/kspread/tablestyles/*
#
%dir %_datadir/apps/kword/
%dir %_datadir/apps/kword/dtd/
%dir %_datadir/apps/kword/icons/
%dir %_datadir/apps/kword/icons/locolor/
%dir %_datadir/apps/kword/icons/locolor/22x22/
%dir %_datadir/apps/kword/icons/locolor/22x22/actions/
%dir %_datadir/apps/kword/templates/
%_datadir/apps/kword/*.rc
%_datadir/apps/kword/dtd/*
%_datadir/apps/kword/icons/locolor/22x22/actions/*.png
%_datadir/apps/kword/templates/*
#
%_datadir/servicetypes/*
%_datadir/services/*
#
%_datadir/mimelnk/application/*
%_datadir/mimelnk/text/*
#
%_iconsdir/hicolor/22x22/actions/*.png
%_iconsdir/hicolor/32x32/actions/*.png
%_iconsdir/hicolor/32x32/apps/*.png    
%_iconsdir/hicolor/48x48/apps/*.png 
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/16x16/actions/*.png
%_iconsdir/locolor/22x22/apps/*.png  
%_iconsdir/locolor/32x32/apps/*.png
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/Office/
%_datadir/applnk/Office/*

%files devel
%defattr(-,root,root)
%_includedir/*

%changelog
* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-11mdk
- Fix a bug in kchart (default background image) 

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.1-10mdk
- Move KDE menus in %%_datadir/applnk/
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Sat Mar 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-9mdk
- Add build requires

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-8mdk
- update code

* Mon Mar 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.1-7mdk
- Add missing files

* Sat Mar 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-6mdk
- Update code

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-5mdk
- Update code

* Wed Mar 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-4mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.1-3mdk
- Rebuild agains Qt 2.3.0

* Wed Mar 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-2mdk
- Fix bugs in kword kword_patch5 (bug when you insert col/row in table )

* Fri Mar 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-1mdk
- Used koffice 2.0.1
- Fix some bug in kword

* Tue Feb 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-4mdk
- Rebuild

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-3mdk
- Compile koffice 2.0 on kde > 2.1beta2 
- add winword filter of koffice 2.1

* Thu Oct 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Applied patch 0 from Laurent for kspread. When code is updated to kde 2.1
  this patch needs to be removed.

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated the code to kde 2.0 Release version

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- Add an icon for koshell
- Use %%make macros
- Spec clean up
- Really use optimzations

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Udpated from cvs to get in a few code fixes from David Faure for 
  the koshell print problem. Fixes bug #596
- Update approved by QA

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated the code to kde 2.0 Release candidate 1.0

* Mon Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated the code

* Sat Sep 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated the code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated the code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated the code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated the code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated the code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated the code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated the code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated the code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-13mdk
- Updated the code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-12mdk
- Updated the code

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-11mdk
- Updated the code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Updated the code

* Wed Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated the code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated the code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated the code
- Changed menu entires to use the automated translation script

* Thu Aug 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Fixed kchart and graphite menu entries per report from Frederic

* Wed Aug 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Some changes to the menu entries to make koffice usable

* Tue Aug 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Some changes to the menu entries to make koffice usable

* Tue Aug 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Some changes to the menu entries to make koffice usable
- Fixed serial so the package actually gets accepted

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Wed Aug 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-10mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-9mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Thu Aug 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code - some fixes on kpresenter by wtrobin.
- added menu entries.
- removed file.list and went to the set list. This will require constant
  checking as there is still development going on.

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- last package shouldn't have looked for libkscript repackaged

* Mon Jul 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-3mdk
- last package shouldn't have looked for libkscript repackaged

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Thu Jul 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000720mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code snapshot

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- moved to /usr
- Changed package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- updated code snapshot
- enabled doc compilation

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code for latest snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated code to get latest snapshot
- Recompiled spec file for Mandrake

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
